<template>
  <div :class="styleType + ' base-container'">
    <slot> </slot>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
export default Vue.extend({
  props: {
    styleType: String,
    default: function() {
      return "";
    }
  }
});
</script>

<style scoped>
.primary {
  background: var(--primary);
}

.primary-dark {
  background: var(--primary-dark);
}

.primary-light {
  background: var(--primary-light);
}

.secondary {
  background: var(--secondary);
  color: white;
}

.secondary-dark {
  background: var(--secondary-dark);
  color: white;
}

.secondary-light {
  background: var(--secondary-light);
  color: white;
}

.base-container {
  padding: 1em;
  border-radius: 22px;
  border: none;
}
</style>
